This is the official forum for the free, fan-made Age of Empires III modification, Wars of Liberty.

Welcome to the New Forum

We hope you enjoy the official new forum of the Wars of Liberty mod for Age of Empires III! Visit this thread to get acquainted with the new forum, and let us know if there's anything we can fix. Feel free to dismiss this message at any time by clicking the "X" in the top right corner.

Thanks!
The Wars of Liberty Team

Forum rules

  • Welcome to The Hospital! This forum is for bugs and error reporting.
  • The official language in this forum is English.
  • Be nice to other members, don't spam comments or smilies, and don't do anything illegal.
  • Posts that don't fit this forum will be moved or deleted.
 
User avatar
ToneLeMoan
Topic Author
Mooing Cow
Mooing Cow
Posts: 4
Joined: Wed Apr 12, 2017 12:15 pm

Rockalldll and Granny2 Needed?

Sun Apr 23, 2017 11:24 am

Hi, WoL complained about rockalldll.dll missing so I found that file and next time it moaned about granny2.dll (nowhere to be seen in any other games or folders). I downloaded several versions but it complains about "wrong vertex" or a similar error message.

Anyone else have this issue?

Maybe one of you would be so kind as to share your granny2.dll file with me.

I'd installed WoL over the Steam installation in case that makes any difference.

Thanks!
 
User avatar
DayoftheNinja
Wars of Liberty Team
Wars of Liberty Team
Posts: 316
Joined: Sun Mar 12, 2017 1:23 am
Location: Chicago, USA
Favorite Civilization: Zulu
Steam: DayoftheNinja
Contact:

Re: Rockalldll and Granny2 Needed?

Sun Apr 23, 2017 5:06 pm

Hey ToneLeMoan! Sorry you're getting this issue. I'm not sure why it happened but I've uploaded my copy of granny2.dll here. It should go in the same place as rockalldll.dll.

Let me know if that helps!
Image
 
User avatar
ToneLeMoan
Topic Author
Mooing Cow
Mooing Cow
Posts: 4
Joined: Wed Apr 12, 2017 12:15 pm

Re: Rockalldll and Granny2 Needed?  Topic is solved

Mon Apr 24, 2017 12:45 pm

Thanks very much. It worked but the fault is mine. I used a Steam installation as the base and have now installed it over a CD install, it works in that I'm up and running. Loving the breadth and depth of the new civs and cultures. The CPU didn't fight back in the test game I had but I suspect it's to do with the AI files so gonna go back and look at that.

This is a real pain to get working properly but I have to take my hat off to those who have done all this and for free too - true fans!
 
User avatar
Jutlander
Wars of Liberty Team
Wars of Liberty Team
Posts: 548
Joined: Sun Mar 12, 2017 1:30 am
Location: Kingdom of Araucania and Patagonia
Favorite Civilization: Polish

Re: Rockalldll and Granny2 Needed?

Mon Apr 24, 2017 8:04 pm

It shouldn't be that hard, what AIs are you fighting? Only the old civilizations+ Latin americans (except Peru) work properly right now.
Image
 
User avatar
vlad.balatescu
Mooing Cow
Mooing Cow
Posts: 1
Joined: Sun Nov 05, 2017 7:23 am

Re: Rockalldll and Granny2 Needed?

Sun Nov 05, 2017 7:25 am

can you share the file were youve got rockall.dll
 
User avatar
argy_elf
Mooing Cow
Mooing Cow
Posts: 1
Joined: Sun Nov 05, 2017 11:24 am

Re: Rockalldll and Granny2 Needed?

Sun Nov 05, 2017 11:27 am

hello guys 

I have also the RockallDLL.dll problem. If you can share the file would be great. I just installed the mod and i never played it!! Can't wait.

keep up the good work anyway!
 
User avatar
AlistairJah
Intern
Intern
Posts: 253
Joined: Wed Sep 06, 2017 10:10 am
Location: Madagascar
Favorite Civilization: French
Contact:

Re: Rockalldll and Granny2 Needed?

Sun Nov 05, 2017 11:38 am

Remember this though : even if all dll errors are fixed, if you don't have the expansions, it's just useless. I strongly recommend that instead of downloading dlls, just make sure you do everything right.
(fr) Regarde à travers et vois le cygne et ce qui vit au-delà de l'au-delà.

Who is online

Users browsing this forum: No registered users and 3 guests